Документация для разработчиков
Реализация и системные требования

Платформа Bitrix Framework разработана на языке программирования PHP. Продукт может эффективно работать на любой UNIX или Windows платформе.

Минимальные технические требования

  • PHP 5.6.0 и выше (Рекомендуется 7.1 и выше);
  • Apache 1.3 и выше или MS IIS 5.0* и выше или Eserv 3.0 и выше;
  • MySQL 5.5 и выше.

* Для MS IIS PHP должен быть установлен как FastCGI.

В качестве базы данных используется MySQL.

Версии на базе MySQL

Эта популярная и простая в настройке версия продукта разработана в рассчете на массового потребителя. Она способна удовлетворить запросы большинства клиентов, так как обладает полным функционалом, высокой производительностью, минимальной стоимостью размещения и оптимальной ценой. Для размещения проектов, созданного на базе этой БД, можно использовать любой классический UNIX хостинг с поддержкой PHP и MySQL.



Все версии продуктов поставляются с исходными текстами. Это дает возможность покупателю самостоятельно настраивать и разрабатывать приложения для системы.

Если вы не можете определиться с выбором платформы, обратитесь в компанию "1C-Битрикс" для консультации. Наши специалисты окажут вам необходимую помощь по всем техническим вопросам функционирования сайта на любой платформе.

Детально о системных требованиях можно познакомиться в уроке Требования к серверному программному обеспечению курса Администратор. Базовый.

© «Битрикс», 2001-2019, «1С-Битрикс», 2019
Наверх